import { h } from 'vue';
import { NTag } from 'naive-ui';

export const columns = [
  {
    title: '角色ID',
    key: 'id',
  },
  {
    title: '角色名称',
    key: 'name',
    render(row) {
      return h(
        NTag,
        {
          type: 'info',
        },
        {
          default: () => row.name,
        }
      );
    },
  },
  {
    title: '备注',
    key: 'remark',
  },
  {
    title: '角色状态',
    key: 'status',
    render(row) {
      return h(
        NTag,
        {
          type: row.status === 1 ? 'success' : 'error',
        },
        {
          default: () => (row.status === 1 ? '正常' : '已禁用'),
        }
      );
    },
  },
  {
    title: '创建时间',
    key: 'created_at',
  },
];
